/*
 * Created on 12 jul 2010
 */

package jawnae.js;

import org.mozilla.javascript.EvaluatorException;
import org.mozilla.javascript.JavaScriptException;

public class JsTest
{
   public static void main(String[] args)
   {
      try
      {
         JsScope scope = new JsScope();

         System.out.println(scope.eval("importClass(Packages.java.io.File)"));
         System.out.println(scope.eval("var file = new File('M:/');"));
         System.out.println(scope.eval("var list = file.list();"));
         String[] list = scope.getVariable("list", String[].class);
         System.out.println(list);
         System.out.println(list.length);
      }
      catch (JavaScriptException exc)
      {
         System.err.println("Exception: Line " + exc.lineNumber() + ": " + exc.getMessage());
      }
      catch (EvaluatorException exc)
      {
         System.err.println("Line " + exc.lineNumber() + ": " + exc.getMessage());
      }
   }
}
